Bug 1069853 - [RFE] Please, add the "input" group in /etc/group
Summary: [RFE] Please, add the "input" group in /etc/group
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: setup
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-25 19:08 UTC by Jaromír Cápík
Modified: 2014-05-07 15:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-03 11:05:19 UTC


Attachments (Terms of Use)

Description Jaromír Cápík 2014-02-25 19:08:38 UTC
Ahoj Ondro.

Please, add the "input" group in the list of groups (/etc/group) and give it a suitable number.
The group is intended to be used by services accessing the input devices. The udev rules will be modified accordingly in scope of the systemd component.

Thank you.

Comment 1 Kay Sievers 2014-02-25 19:15:45 UTC
Sounds good to me, we currently have other device class specific group like
audio, video and such already. They are generally useful for privileged 
system-level services which get access to specific devices but do not need root
privileges.

Comment 2 Ondrej Vasik 2014-02-26 10:03:36 UTC
I'm not against this group, however, I'm no longer allowed to assign numbers myself, you need to file FPC ticket at https://fedorahosted.org/fpc/newticket ( https://fedoraproject.org/wiki/Packaging:UsersAndGroups - Soft static allocation part). Please add the link to the ticket to this bugzilla so I can track the outcome. TIA!

Comment 3 Jaromír Cápík 2014-02-26 12:46:49 UTC
FPC ticket created...

  https://fedorahosted.org/fpc/ticket/397

Comment 4 Jaromír Cápík 2014-04-03 11:05:19 UTC
FPC is unhappy with having a static allocation for the input group. Closing.

Comment 5 Henrique Martins 2014-05-07 12:42:10 UTC
Directfb (even though a fc19 package on my fc20 system) seems to reference an input group, e.g. bug 887655

Comment 6 Jaromír Cápík 2014-05-07 15:46:22 UTC
Hello Henrique.

Yes, it does. But the directfb component is dead now and we're moving the input group to the systemd component as it seems to be the right place for stuff like that.

Regards,
Jaromir.


Note You need to log in before you can comment on or make changes to this bug.